image:
  name: docker:stable

services:
  - docker:dind

variables:
  DOCKER_TLS_CERTDIR: "/certs"
  IMAGE: ${CI_REGISTRY}/${CI_PROJECT_NAMESPACE}/${CI_PROJECT_NAME}:${$CI_COMMIT_SHORT_SHA}

before_script:
  - echo $CI_JOB_STAGE

stages:
  - build
  - calidad
  - test
  - deploy

sonarqube_ci_stanza:
  image: sonarsource/sonar-scanner-cli:latest
  stage: calidad
  variables:
    SONAR_PROJECT_BASE_DIR: "./01-dockerNginx/react-docker/src/"
  script:
    - /usr/bin/entrypoint.sh sonar-scanner -Dsonar.login=2b884082ae53278f3db22741eed01a7b635ca490 -Dsonar.host.url="http://sonarqube:9000" -Dsonar.projectKey="test"

docker-build-prod:
  stage: build
  script:
    - docker version
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY

  only:
    - main

docker-test:
  stage: test
  script:
    - docker version
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
  only:
    - main

docker-deploy:
  stage: deploy
  script:
    - docker version
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
  only:
    - main
